Read user
curl --request GET \
--url https://int-api.mx.com/users/{user_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"email": "email@provider.com",
"guid": "USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "My-Unique-ID",
"is_disabled": false,
"metadata": "{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
}
}Users
Read user
GET
/
users
/
{user_guid}
Read user
Use this endpoint to read the attributes of a specific user.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"email@provider.com"
Example:
"USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6"
Example:
"My-Unique-ID"
Example:
false
Example:
"{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
⌘I

